Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.registry
Class PluginClassLoader

    java.lang.Object
      java.lang.ClassLoader
          java.security.SecureClassLoader
              java.net.URLClassLoader
                  de.grogra.pf.registry.PluginClassLoader

All Implemented Interfaces:
  TypeLoader

    public abstract class PluginClassLoader

extends java.net.URLClassLoader
implements TypeLoader

Method Summary
`java.lang.Class` | `classForName(java.lang.String name)`
`protected java.lang.Class` | `findClass(java.lang.String name)`
`java.lang.ClassLoader` | `getClassLoader()`
`PluginDescriptor` | `getPluginDescriptor()`
`java.net.URL` | `getPluginResource(java.lang.String name)`
`java.net.URL` | `getResource(java.lang.String name)`
`protected java.lang.Class` | `loadClass(java.lang.String name, boolean resolve)`
`Type` | `typeForName(java.lang.String name)`

Methods inherited from class java.net.URLClassLoader
`addURL, definePackage, findResource, findResources, getPermissions, getURLs, newInstance, newInstance`

Methods inherited from class java.security.SecureClassLoader
`defineClass, defineClass`

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findSystemClass, getPackage, getPackages, getParent, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### classForName

    public java.lang.Class classForName(java.lang.String name)
                                 throws java.lang.ClassNotFoundException

  Specified by:
    `classForName` in interface `TypeLoader`
  Throws:
    `java.lang.ClassNotFoundException`

### findClass

    protected final java.lang.Class findClass(java.lang.String name)
                                       throws java.lang.ClassNotFoundException

  Overrides:
    `findClass` in class `java.net.URLClassLoader`
  Throws:
    `java.lang.ClassNotFoundException`

### getClassLoader

    public java.lang.ClassLoader getClassLoader()

  Specified by:
    `getClassLoader` in interface `TypeLoader`

### getPluginDescriptor

    public PluginDescriptor getPluginDescriptor()

### getPluginResource

    public java.net.URL getPluginResource(java.lang.String name)

### getResource

    public java.net.URL getResource(java.lang.String name)

  Overrides:
    `getResource` in class `java.lang.ClassLoader`

### loadClass

    protected final java.lang.Class loadClass(java.lang.String name,
                                              boolean resolve)
                                       throws java.lang.ClassNotFoundException

  Overrides:
    `loadClass` in class `java.lang.ClassLoader`
  Throws:
    `java.lang.ClassNotFoundException`

### typeForName

    public Type typeForName(java.lang.String name)
                     throws java.lang.ClassNotFoundException

  Specified by:
    `typeForName` in interface `TypeLoader`
  Throws:
    `java.lang.ClassNotFoundException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD